Audit events
List audit events of an organisation.
GET
organisationSlug*stringMatch
^[a-z0-9-_]+$typeFilter?array<>pageable*Optional. When omitted: pageSize=50, pageNumber=0, sortDirection=ASC
Request was successfully processed. The response body contains the requested data.
application/json- response
totalPages?integerFormat
int32totalElements?integerFormat
int64size?integerFormat
int32content?array<>number?integerFormat
int32sort?pageable?numberOfElements?integerFormat
int32first?booleanlast?booleanempty?booleancurl -X GET 'https://api.avisi.cloud/api/v1/orgs/string/audit-events?page=0&size=1&sort=string'{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ { "createdAt": "2019-08-24T14:15:22Z", "type": "string", "referencedEntityIdentity": "string", "details": { "property1": { "new": null, "old": null }, "property2": { "new": null, "old": null } }, "customerId": 0, "customerSlug": "string", "actorId": 0, "actorUsername": "string", "environmentId": 0, "environmentSlug": "string", "clusterId": 0, "clusterSlug": "string", "clusterNodePoolId": 0, "clusterNodePoolName": "string", "cloudAccountName": "string" } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "paged": true, "pageNumber": 0, "pageSize": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true}